HotSwappableTargetSourceFactoryBean (Grails 6.0.0)

Package: org.grails.spring.beans.factory

## [Groovy] Class HotSwappableTargetSourceFactoryBean

- org.grails.spring.beans.factory.HotSwappableTargetSourceFactoryBean

- All Implemented Interfaces and Traits:
    org.springframework.beans.factory.FactoryBean<org.springframework.aop.target.HotSwappableTargetSource>, org.springframework.beans.factory.InitializingBean

      @groovy.transform.CompileStatic
      class HotSwappableTargetSourceFactoryBean
      extends java.lang.Object
      implements org.springframework.beans.factory.FactoryBean<org.springframework.aop.target.HotSwappableTargetSource>, org.springframework.beans.factory.InitializingBean

  Creates a HotSwappableTargetSource

  Authors:
    Graeme Rocher
  Since:
    3.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected java.lang.Object` | `target` |
    `protected org.springframework.aop.target.HotSwappableTargetSource` | `targetSource` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `HotSwappableTargetSourceFactoryBean ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `afterPropertiesSet()`
    `` | `org.springframework.aop.target.HotSwappableTargetSource` | `getObject()`
    `` | `java.lang.Class<?>` | `getObjectType()`
    `` | `boolean` | `isSingleton()`
    `` | `void` | `setTarget(java.lang.Object object)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### protected java.lang.Object target

    - #### protected org.springframework.aop.target.HotSwappableTargetSource targetSource

  - ### Constructor Detail

    - #### HotSwappableTargetSourceFactoryBean()

  - ### Method Detail

    - #### @java.lang.Override void afterPropertiesSet()

    - #### @java.lang.Override org.springframework.aop.target.HotSwappableTargetSource getObject()

    - #### @java.lang.Override java.lang.Class<?> getObjectType()

    - #### @java.lang.Override boolean isSingleton()

    - #### void setTarget(java.lang.Object object)